Sets servers that will be synchronized with Address Manager.
Request
POST http://<Gateway_url>/overlay/api/v1/servers
Authorization: <token>
Content-Type: application/json
{
"config_id": "101225",
"view_id": "101237",
"servers": [
{
"selected": true,
"name": "win-dhcp-1"
},
{
"selected": true,
"name": "win-dhcp-2"
}
]
}
Parameters
- config_id - the object ID of the Address Manager configuration where the server will reside.
- view_id - the object ID of the Address Manager view where the server will reside.
- name - the name of the server.
- selected - a boolean value indicating whether the server has been configured to be managed by BlueCat Overlay for Microsoft.
Successful
response
200 OK
Content-Type: application/json
[
{
"name": "WIN-DHCP-1",
"updated": true
},
{
"name": "WIN-DHCP-2",
"updated": true
}
]